Function
getDistanceMatrix
Computes a pairwise distance matrix from an alignment graph.
getDistanceMatrix(graph, mat [, tag])
getDistanceMatrix(graph, mat [, ktup] [, alphabet], KmerDistance)
Include Headers
seqan/graph_msa.h
Parameters

graph | An alignment graph containing the sequences and possible alignment edges. Types: Alignment Graph
mat | Out-parameter:Pairwise distance matrix. Types: String
ktup | Length of k-mers. Remarks: For KmerDistance the length of the k-mers.
alphabet | Alphabet Remarks: For KmerDistance the alphabet to use for k-mer counting (e.g., compressed alphabets).
tag | Distance tag Types: Distance Calculation Default: KmerDistance Remarks: Possible values are LibraryDistance or KmerDistance.

Return Values
void
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47